/*

    GDS7 v0.1 interactive digital image transfer software for DS-7 camera
    Copyright (C) 1998 Matthew G. Martin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/

/***********************************************************************
 Callbacks
**********************************************************************/
/* Update the progress bar */
void progcb(float p);

/* Kill a dialog box */
void killdialog(GtkWidget *calling,gpointer data);

/* Download a picture */
void getpic(struct picent *pic);

/* Save-as dialog box callback */
void dialog_save(GtkWidget *widget, GtkFileSelection *data);

/* Save-as dialog */
void saveas(GtkWidget *widget, gpointer *data);
   
/* another callback */
void delete_event (GtkWidget *widget, gpointer *data);

/* Thumbnail pop-up menu */
void pop_thumb(GtkWidget *widget, gpointer data);

/* Get picture: callback from thumbnail menu */
void pop_get(GtkWidget *widget, gpointer data);

/* Change of filename erases "saved" status */
void fname_changed(GtkWidget *widget, gpointer data);

/* Config Baudrate */
void baudset(GtkWidget *widget, gpointer data);

/* Configuration save */
void config_update(GtkWidget *widget, gpointer data);

/*  Change the color of the text entry box depending on the image status*/
void color_selected(struct picent *pic);

/*  Handle thumbnail button toggle */
void thumb_toggle(GtkWidget *widget,gpointer data);

/*    Handle a click on a thumbnail image */
int thumbclick(GtkWidget *widget,GdkEventButton *event,gpointer data);

/*    Record entry of cursor into a thumbnail */
int thumbenter(GtkWidget *widget,GdkEvent *event,gpointer data);

/*  Handle a cancel request */
void cancel_toggle(GtkWidget *widget,gpointer data);

/* Config file */
int load_cfg();
int save_cfg();

/* Display picture info */
void thumb_get_info(GtkWidget *widget, gpointer data);

/* Show Help */
void show_help(GtkWidget *widget, gpointer data);
